> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk update

> Bulk update a list of bookmarks.



## OpenAPI

````yaml /api-specs/cloud/flyte-extensions-api.json post /artifacts/v1/bookmarks/bulk-update
openapi: 3.1.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: "\n\tAdds a number of extended operations to Flyte in support of retrieving artifact\n\tmetadata and bookmarking artifacts from individual executions."
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: >-
    https://tickets.dominodatalab.com/hc/en-us/articles/360060058871-Service-Level-Agreement
  title: Flyte HTTP Gateway
  version: '0.1'
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech/flows/api
security: []
tags:
  - name: Artifacts
  - name: Blob
  - name: Bookmarks
  - name: Execution
  - name: Exports
paths:
  /artifacts/v1/bookmarks/bulk-update:
    post:
      tags:
        - Bookmarks
      summary: Bulk update
      description: Bulk update a list of bookmarks.
      operationId: bookmarks-bulk-update
      requestBody:
        content:
          application/json:
            schema:
              description: Bulk update bookmarks for artifact groups given their key
              items:
                $ref: '#/components/schemas/UpdateBookmarksAction'
              type:
                - array
                - 'null'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/UpdateBookmarksOutcome'
                type:
                  - array
                  - 'null'
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
components:
  schemas:
    UpdateBookmarksAction:
      additionalProperties: false
      properties:
        action:
          enum:
            - create
            - delete
          type: string
        key:
          $ref: '#/components/schemas/ArtifactVersionKey'
      required:
        - action
        - key
      type: object
    UpdateBookmarksOutcome:
      additionalProperties: false
      properties:
        action:
          description: 'Action: create, delete'
          type: string
        error:
          type: string
        key:
          $ref: '#/components/schemas/ArtifactVersionKey'
        status:
          type: string
      required:
        - action
        - key
        - status
        - error
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    ArtifactVersionKey:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/ArtifactVersionKey.json
          format: uri
          readOnly: true
          type: string
        artifactId:
          description: UUID such as d1a2dfd5-1050-4538-8b29-ec254af2f7a4
          type: string
        execution:
          $ref: '#/components/schemas/ExecutionIdentifier'
          description: Workflow execution identifier
      required:
        - execution
        - artifactId
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
    ExecutionIdentifier:
      additionalProperties: false
      properties:
        domain:
          description: >-
            Name of the domain the execution belongs to – A domain can be
            considered as a subset within a specific project.
          type: string
        name:
          description: User or system provided value for the execution name
          type: string
        project:
          description: Name of the project the execution belongs to
          type: string
      required:
        - project
        - domain
        - name
      type: object

````

## Related topics

- [The python-domino library](/cloud/reference/python-sdk/python-domino.md)
- [Bulk update bundles](/api-reference/bundles/bulk-update-bundles.md)
- [Bulk update finding severity or due date](/api-reference/findings/bulk-update-finding-severity-or-due-date.md)
- [Bulk reassign bundle stages](/api-reference/bundle-stages/bulk-reassign-bundle-stages.md)
